# Generated from gravaty-11.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gravaty

Name: rubygem-%{gem_name}
Version: 11.0.1
Release: 1%{?dist}
Summary: This gem automagically prepares complete URIs for Gravatar, for both avatars and profiles, with all currently supported options, included the XML-RPC API, as of 2014-04-30, starting from a single email address!
License: GPL-3.0 and BSD-3-Clause
URL: https://savannah.nongnu.org/projects/gravaty/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0
BuildRequires: ruby < 4
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 1.8
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
This gem automagically prepares complete URIs for Gravatar,
for both avatars and profiles, with all currently supported options,
included the XML-RPC API, as of 2014-04-30, starting from a single
email address! It's my first Ruby gem, hoping it will
be useful for someone (let me know if you use it, please!).
GNU GPLv3 license; source code available through anonymous checkout: `hg
clone http://hg.savannah.nongnu.org/hgweb/gravaty/` or write me
and I'll send it.
You can even decide to contribute to this little free software project
by registering to Savannah and ask to be part of the 'gravaty'
project!
With contributions from: 新部裕, Peter R. Marreck, Jon Maken, Łukasz
Niemier.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING.md
%{gem_instdir}/copyright.md
%{gem_instdir}/gravaty.odp
%{gem_instdir}/gravaty.pdf
%{gem_instdir}/html
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/gravaty.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 11.0.1-1
- Initial package
